
TYPO3.Neos - Bug # 26924

Status: Closed Priority: Won't have this time
Author: Karsten Dambekalns Category: TypoScript
Created: 2011-05-20 Assigned To: Henjo Hoeksma
Updated: 2014-10-02 Due date:
Subject: StopException in Plugins handled wrong
Description

If a plugin throws a StopException (.e.g when using redirect), the backtrace appears as plugin content in the output. You don't see
that usually, because of the Location header, but that seems broken, it should bubble up and produce the expected redirect HTML
output.

The exception is actually handled separately in TypoScript\Plugin, so the error seems to be further up.

Related issues:
related to Base Distribution - Feature # 31638: Rewrite Rendering Process bas... Resolved 2011-11-07

History
#1 - 2011-05-20 09:35 - Sebastian Kurfuerst
- Assigned To set to Sebastian Kurfuerst
- Target version set to Sprint 7

I'll look at this on Monday

#2 - 2011-11-07 10:35 - Sebastian Kurfuerst
- Assigned To deleted (Sebastian Kurfuerst)
- Target version deleted (Sprint 7)

Still needs to be checked whether this is still relevant. Might be closeable after #31638 has been solved.

#3 - 2011-11-07 10:36 - Sebastian Kurfuerst
- Priority changed from Must have to Won't have this time

#4 - 2014-10-02 10:45 - Henjo Hoeksma
- Assigned To set to Henjo Hoeksma

Moving to Jira

#5 - 2014-10-02 10:48 - Henjo Hoeksma
- Status changed from New to Closed

Moved to: https://jira.typo3.org/browse/NEOS-496
